---
title: RTCInboundRtpStreamStats
slug: Web/API/RTCInboundRtpStreamStats
tags:
  - API
  - Dictionary
  - RTCInboundRtpStreamStats
  - RTP
  - Reference
  - Statistics
  - Stats
  - local
  - receiver
---
<div>{{APIRef("WebRTC")}}</div>

<p>The <a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a>'s <code><strong>RTCInboundRtpStreamStats</strong></code> dictionary, based upon {{domxref("RTCReceivedRtpStreamStats")}} and {{domxref("RTCStats")}}, contains statistics related to the receiving end of an RTP stream on the local end of the {{domxref("RTCPeerConnection")}}.</p>

<h2 id="Properties">Properties</h2>

<p>The <code>RTCInboundRtpStreamStats</code> dictionary is based on the {{domxref("RTCReceivedRtpStreamStats")}} dictionary, whose properties are also available.</p>

<dl>
 <dt>{{domxref("RTCInboundRtpStreamStats.averageRtcpInterval", "averageRtcpInterval")}}</dt>
 <dd>A floating-point value indicating the average {{Glossary("RTCP")}} interval between two consecutive compound RTCP packets.</dd>
 <dt>{{domxref("RTCInboundRtpStreamStats.bytesReceived", "bytesReceived")}}</dt>
 <dd>A 64-bit integer which indicats the total numer of bytes that have been received so far for this media source.</dd>
 <dt>{{domxref("RTCInboundRtpStreamStats.fecPacketsDiscarded", "fecPacketsDiscarded")}}</dt>
 <dd>An integer value indicating the number of RTP Forward Error Correction (FEC) packets which have been received for this source, for which the error correction payload was discarded.</dd>
 <dt>{{domxref("RTCInboundRtpStreamStats.fecPacketsReceived", "fecPacketsReceived")}}</dt>
 <dd>An integer value indicating the total number of RTP FEC packets received for this source. This counter may also be incremented when FEC packets arrive in-band along with media content; this can happen with Opus, for example.</dd>
 <dt>{{domxref("RTCInboundRtpStreamStats.firCount", "firCount")}}</dt>
 <dd>An integer value which indicates the total number of Full Intra Request (FIR) packets which this receiver has sent to the sender. This is an indicator of how often the stream has lagged, requiring frames to be skipped in order to catch up. This value is only available for video streams.</dd>
 <dt>{{domxref("RTCInboundRtpStreamStats.framesDecoded", "framesDecoded")}}</dt>
 <dd>A long integer value indicating the total number of frames of video which have been correctly decoded so far for this media source. This is the number of frames that would have been rendered if none were dropped. <em>Only valid for video streams.</em></dd>
 <dt>{{domxref("RTCInboundRtpStreamStats.lastPacketReceivedTimestamp", "lastPacketReceivedTimestamp")}}</dt>
 <dd>A {{domxref("DOMHighResTimeStamp")}} indicating the time at which the last packet was received for this source. The {{domxref("RTCStats.timestamp", "timestamp")}} property, on the other hand, indicates the time at which the statistics object was generated.</dd>
 <dt>{{domxref("RTCInboundRtpStreamStats.nackCount", "nackCount")}}</dt>
 <dd>An integer value indicating the total number of Negative ACKnolwedgement (NACK) packets this receiver has sent.</dd>
 <dt>{{domxref("RTCInboundRtpStreamStats.packetsDuplicated", "packetsDuplicated")}}</dt>
 <dd>An integer value indicating the total number of packets that have been discarded because they were duplicates. These packets are not counted by {{domxref("RTCInboundRtpStreamStats.packetsDiscarded", "packetsDiscarded")}}.</dd>
 <dt>{{domxref("RTCInboundRtpStreamStats.packetsFailedDecryption", "packetsFailedDecryption")}}</dt>
 <dd>An integer totaling the number of RTP packets that could not be decrypted. These packets are not counted by {{domxref("RTCInboundRtpStreamStats.packetsDiscarded", "packetsDiscarded")}}.</dd>
 <dt>{{domxref("RTCInboundRtpStreamStats.perDscpPacketsReceived", "perDscpPacketsReceived")}}</dt>
 <dd>A record of key-value pairs with strings as the keys mapped to 32-bit integer values, each indicating the total number of packets this receiver has received on this RTP stream from this source for each Differentiated Services Code Point (DSCP).</dd>
 <dt>{{domxref("RTCInboundRtpStreamStats.pliCount", "pliCount")}}</dt>
 <dd>An integer specifying the number of times the receiver has notified the sender that some amount of encoded video data for one or more frames has been lost, using Picture Loss Indication (PLI) packets. This is only available for video streams.</dd>
 <dt>{{domxref("RTCInboundRtpStreamStats.qpSum", "qpSum")}}</dt>
 <dd>A 64-bit value containing the sum of the QP values for every frame decoded by this RTP receiver. You can determine the average QP per frame by dividing this value by {{domxref("RTCInboundRtpStreamStats.framesDecoded", "framesDecoded")}}. <em>Valid only for video streams.</em></dd>
 <dt>{{domxref("RTCInboundRtpStreamStats.receiverId", "receiverId")}}</dt>
 <dd>A string indicating which identifies the {{domxref("RTCAudioReceiverStats")}} or {{domxref("RTCVideoReceiverStats")}} object associated with the stream's receiver. This ID is stable across multiple calls to <code>getStats()</code>.</dd>
 <dt>{{domxref("RTCInboundRtpStreamStats.remoteId", "remoteId")}}</dt>
 <dd>A string which identifies the {{domxref("RTCRemoteOutboundRtpStreamStats")}} object that provides statistics for the remote peer for this same SSRC. This ID is stable across multiple calls to <code>getStats()</code>.</dd>
 <dt>{{domxref("RTCInboundRtpStreamStats.sliCount", "sliCount")}}</dt>
 <dd>An integer indicating the number of times the receiver sent a Slice Loss Indication (SLI) frame to the sender to tell it that one or more consecutive (in terms of scan order) video macroblocks have been lost or corrupted. Available only for video streams.</dd>
 <dt>{{domxref("RTCInboundRtpStreamStats.trackId", "trackId")}}</dt>
 <dd>A string which identifies the statistics object representing the receiving track; this object is one of two types: {{domxref("RTCReceiverAudioTrackAttachmentStats")}} or {{domxref("RTCReceiverVideoTrackAttachmentStats")}}. This ID is stable across multiple calls to <code>getStats()</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>


<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#inboundrtpstats-dict*', 'RTCInboundRtpStreamStats') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCInboundRtpStreamStats")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("RTCStats")}}</li>
 <li>{{domxref("RTCStatsReport")}}</li>
</ul>
